Package org.apache.qpid.proton.engine

# Enum Sasl.SaslOutcome

java.lang.Object
java.lang.Enum<Sasl.SaslOutcome>
org.apache.qpid.proton.engine.Sasl.SaslOutcome

All Implemented Interfaces:
  `Serializable`, `Comparable<Sasl.SaslOutcome>`

Enclosing interface:
  `Sasl`

public static enum Sasl.SaslOutcome extends Enum<Sasl.SaslOutcome>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PN_SASL_AUTH`
failed due to bad credentials
`PN_SASL_NONE`
negotiation not completed
`PN_SASL_OK`
authentication succeeded
`PN_SASL_PERM`
failed due to unrecoverable error
`PN_SASL_SKIPPED`
`PN_SASL_SYS`
failed due to a system error
`PN_SASL_TEMP`

## Method Summary

Modifier and Type
Method
Description
`byte`
`getCode()`
`static Sasl.SaslOutcome`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Sasl.SaslOutcome[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PN_SASL_NONE

public static final Sasl.SaslOutcome PN_SASL_NONE
negotiation not completed

### PN_SASL_OK

public static final Sasl.SaslOutcome PN_SASL_OK
authentication succeeded

### PN_SASL_AUTH

public static final Sasl.SaslOutcome PN_SASL_AUTH
failed due to bad credentials

### PN_SASL_SYS

public static final Sasl.SaslOutcome PN_SASL_SYS
failed due to a system error

### PN_SASL_PERM

public static final Sasl.SaslOutcome PN_SASL_PERM
failed due to unrecoverable error

### PN_SASL_TEMP

public static final Sasl.SaslOutcome PN_SASL_TEMP

### PN_SASL_SKIPPED

public static final Sasl.SaslOutcome PN_SASL_SKIPPED

## Method Details

### values

public static Sasl.SaslOutcome[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Sasl.SaslOutcome valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getCode

public byte getCode()